Name:          libportmidi
Version:       217
Release:       2mamba
Summary:       A library supporting real-time input and output of MIDI data using a system-independent interface
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://portmedia.sourceforge.net/portmidi/
Source:        http://downloads.sourceforge.net/project/portmedia/portmidi/%{version}/portmidi-src-%{version}.zip
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
## AUTOBUILDREQ-END
BuildRequires: java-gcj-compat
Provides:      libporttime.so
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PortMidi is a library for software developers. It supports real-time input and output of MIDI data using a system-independent interface. PortMidi runs on Windows (using MME), Macintosh (using CoreMIDI), and Linux (using ALSA).

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
PortMidi is a library for software developers. It supports real-time input and output of MIDI data using a system-independent interface. PortMidi runs on Windows (using MME), Macintosh (using CoreMIDI), and Linux (using ALSA).

This package contains static libraries and header files needed for development.

%prep
%setup -q -n portmidi
sed -i "s|/usr/local|/usr|" \
   pm_common/CMakeLists.txt \
   pm_dylib/CMakeLists.txt \
   pm_java/CMakeLists.txt

%build
%cmake \
   -DCMAKE_ARCHIVE_OUTPUT_DIRECTORY:STRING=%{_builddir}/portmidi/Release \
   -DCMAKE_LIBRARY_OUTPUT_DIRECTORY:STRING=%{_builddir}/portmidi/Release \
   -DCMAKE_RUNTIME_OUTPUT_DIRECTORY:STRING=%{_builddir}/portmidi/Release

#-d build \

sed -i "s|pm_java/pm_java|pm_java|" pm_java/CMakeFiles/pmdefaults_target.dir/build.make

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall LIBRARY_DESTINATION=%{_libdir}

# remove duplicated library
rm -f %{buildroot}%{_libdir}/libportmidi_s.so

# add libporttime as a link (required by denemo 1.0, see https://bugs.archlinux.org/task/21528)
ln -s libportmidi.so %{buildroot}%{_libdir}/libporttime.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/pmdefaults
%{_libdir}/libpmjni.so
%{_libdir}/libportmidi.so
%{_libdir}/libporttime.so
%{_datadir}/java/pmdefaults.jar
%doc README.txt

%files devel
%defattr(-,root,root)
%{_includedir}/portmidi.h
%{_includedir}/porttime.h

%changelog
* Tue Apr 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 217-2mamba
- added libporttime as a symlink to libportmidi, required by denemo

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 217-1mamba
- package created by autospec
